package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.Empresa;
import com.rjconsultores.ventaboletos.entidad.PtovtaEmpresaBloqueada;

public class RenderEmpresaBloquear implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		PtovtaEmpresaBloqueada empresaBloqueada = (PtovtaEmpresaBloqueada) o;

		Listcell lc = new Listcell(empresaBloqueada.getEmpresa().getNombempresa());
		lc.setParent(lstm);

		lstm.setAttribute("data", empresaBloqueada);
	}
}
